HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get a list of customers

Retrieves a paginated list of customers based on the provided filter criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
Defaults to 50

Filter the total amount of items returned.

integer
Defaults to 0

Skip the first N items in the result set.

string
enum
Defaults to id

When set, returned customers will be sorted by one of the available properties, descending if not otherwise specified by sortDirection. When used with createdAt* default is createdAt. When used with updatedAt* default is updatedAt (even if combined with createdAt*).

Allowed:
string
enum
Defaults to desc

When set, returned customers will be sorted either descending or ascending. When used with createdAtFrom or updateAtFrom, default is asc.

Allowed:
string

Search across customer names and IDs. This includes externalId.

customerIds
array of integers

Ids of the customers to return. Other filters (and permissions requirement) will still apply.

customerIds
types
array of strings

Types of the customers to filter. Multiple types can be selected.

types
integer

ID of the owner of the customer, also known as parent. This will return direct descendant of the provided customer ID. Only available for filtering if you are the owner or have appropriate permissions.

integer

ID of the owner of the customer, also known as parent. This will return all customers owned by this ownerId. Only available for filtering if you are the owner or have appropriate permissions.

integer

ID of the CPO above the customer, also known as Operator. Only available for filtering if you are the CPO or have appropriate permissions.

date-time

Creation date of the customer.

date-time

Start date for filtering by creation date. When set, filter sortBy defaults to createdAt.

date-time

End date for filtering by creation date. When set, filter sortBy defaults to createdAt.

date-time

Last update date of the customer.

date-time

Start date for filtering by last update date. When set, filter sortBy defaults to updatedAt.

date-time

End date for filtering by last update date. When set, filter sortBy defaults to updatedAt.

Responses

400

Bad Request. An explanation message will be provided.

401

Unauthorized. The requested operation cannot be performed with the current access permissions.

403

Forbidden. Your credentials are missing or not valid. An explanation message will be provided.

500

An unexpected error occurred on the server while processing the request.

502

The request failed due to an error in an upstream service.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json